﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirFighter.MovementStrategy;

public interface IMoveableObject
{
    /// <summary>
    /// Получение координаты объекта
    /// </summary>
    ObjectParameters? GetObjectPosition {  get; }
    
    /// <summary>
    /// Шаг объекта
    /// </summary>
    int GetStep {  get; }
    
    bool TryMoveObject(MovementDirection direction);
}
